shader_type spatial;
render_mode unshaded, cull_disabled;

uniform vec4 mix_color : hint_color;
uniform sampler2D arrow_texture : hint_albedo;

void fragment() {
	float offset = TIME * 2.0;
	vec4 col = texture(arrow_texture, vec2(UV.x, UV.y - offset)).rgba;
//	ALBEDO = col.rgb * mix_color.rgb;
	ALBEDO = col.rgb;
	ALPHA = col.a;
}